This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 866677 - [RFE] Improved broker logging for expired messages
[RFE] Improved broker logging for expired messages
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
medium Severity unspecified
: 2.3
: ---
Assigned To: Chuck Rolke
Leonid Zhaldybin
: FutureFeature, Patch
Depends On:
Blocks: 698367 1339449
  Show dependency treegraph
 
Reported: 2012-10-15 16:51 EDT by Jason Dillaman
Modified: 2016-05-25 00:59 EDT (History)
4 users (show)

See Also:
Fixed In Version: qpid-cpp-0.18-4
Doc Type: Enhancement
Doc Text:
Feature: Improved broker logging for expired messages Reason: Messages that are expired by the queue cleaner are not logged as they used to be. Logging should include the queue name and the message properties. Result (if any): Logging is moved to a common place in the source module so all expired messages receive the same logging treatment. The queue name and message properties are included in debug-level log entries.
Story Points: ---
Clone Of:
: 1339449 (view as bug list)
Environment:
Last Closed: 2013-03-06 13:52:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed patch (1.71 KB, patch)
2012-10-15 17:23 EDT, Jason Dillaman
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-4397 None None None 2012-10-26 11:02:27 EDT

  None (edit)
Description Jason Dillaman 2012-10-15 16:51:42 EDT
It would be desirable to have improved logging from the broker when messages are expired from queues.  The desired log message would include at least the queue name and message properties from the message being removed so that it is possible to debug any potential reason why a particular message expired.  Additionally, the queue cleaner previously logged "Message expired from queue 'xyz'", but that functionality was removed during a recent refactor.

Version-Release number of selected component (if applicable):
Qpid 0.18
Comment 1 Jason Dillaman 2012-10-15 17:23:09 EDT
Created attachment 627709 [details]
Proposed patch

Moved logging of expired messages to a common function to support log filtering and dumped the message properties of the expired message.
Comment 7 Leonid Zhaldybin 2012-11-22 05:48:05 EST
Tested on RHEL5.9 and RHEL6.3 (both i386 and x86_64). The broker logs messages expiration and the log contains queue name from which the expired message was deleted along with message's properties.

Packages used for testing:

RHEL5.9
python-qpid-0.18-4.el5
python-qpid-qmf-0.18-9.el5
qpid-cpp-client-0.18-10.el5
qpid-cpp-client-devel-0.18-10.el5
qpid-cpp-server-0.18-10.el5
qpid-cpp-server-devel-0.18-10.el5
qpid-qmf-0.18-9.el5
qpid-tools-0.18-7.el5

RHEL6.3
python-qpid-0.18-4.el6.noarch
python-qpid-qmf-0.18-9.el6_3.i686
qpid-cpp-client-0.18-10.el6_3.i686
qpid-cpp-client-devel-0.18-10.el6_3.i686
qpid-cpp-server-0.18-10.el6_3.i686
qpid-cpp-server-devel-0.18-10.el6_3.i686
qpid-qmf-0.18-9.el6_3.i686
qpid-tools-0.18-7.el6_3.noarch

-> VERIFIED
Comment 9 errata-xmlrpc 2013-03-06 13:52:16 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0561.html

Note You need to log in before you can comment on or make changes to this bug.